Subject: Re: [PATCH v8 4/5] doc: git-rebase: move --onto explanation down

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Aug 2025 10:06:52 -0700

Phillip Wood <[email-masked]> writes:

>> The new location of this section on "--onto" felt a bit off.
>> Perhaps it is just me, but in case others have different opinions,
>> I'd raise it here.
>
> I agree that "--onto" is a fairly commonly used option and so it might
> be nice to mention it in the general description.

That would independently be a good idea.

> The existing
> examples are all good reasons why one might want to use "--onto" so
> I'm slightly wary of replacing them with a single example in the
> description.

Then perhaps we should find a better place to put it.  The section
on advanced topics notes are mostly about operations using sequencer
machinery, except for the onto section.  Perhaps immediately after
the apply/merge comparison?